Subject: Re: Does kmalloc on MPC82xx work correctly with GFP_DMA?

From: Conor McLoughlin <[email-masked]>
Date: Tue, 19 Oct 2004 16:26:27 +0100

Thanks to everyone who replied. I appreciate your time to help
educate me.

> It works because the 82xx is cache coherent.  The MMU mapping
> is irrelevant.  
That is the missing piece of the puzzle. I had worked with the 860
before and this was an issue. It hadn't occurred to me that the 82xx
was different.

> There is no bug here.  Just because people don't
> understand how something works doesn't mean there is a bug
> present.  
The reason I asked the question in the first place was because I didn't
understand how it could work.  I now understand it and can rest easier.

Thanks,
Conor